Bug 210621 - Floppy disks are always mounted world readable
Floppy disks are always mounted world readable
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-10-13 07:46 EDT by Hans Ulrich Niedermann
Modified: 2013-03-05 22:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-10-13 07:46:42 EDT
Description of problem:

  If you insert a FAT/VFAT formatted floppy disk, and let hal (and whatever
magic it triggers within gnome) mount it, all its files are world readable.

  I consider this a security risk, but I can see that it can be argued to be a
reasonable default for standard single user desktop use cases. However, there is
no user setting (in the "System->Preferences->Removable Drives And Media", or in
/etc/sysconfig/ or anywhere else) to be found where that default can be changed.
Additionally, there is hardly any documentation describing how to fix that
problem without completely reverse engineering HAL and the Gnome media mounting

  I use an USB floppy drive, and thus the world-readable mounting of the disk
requires no further user action besides inserting the floppy disk into the drive.

Version-Release number of selected component (if applicable):


How reproducible:

  Every time.

Steps to Reproduce:
1. Insert floppy disk.
2. Mount it via Gnome UI.
Actual results:

  drwxr-xr-x 2 $USER root 7168 Jan  1  1970 /media/floppy

Expected results:

  drwx------ 2 $USER root 7168 Jan  1  1970 /media/floppy
  drwxr-x--- 2 $USER root 7168 Jan  1  1970 /media/floppy

Additional info:

  The actual mechanism behind the mounting is sufficiently complex that possibly
other packages are the culprit or need to be adapted. Unfortunately, this is not
easy to figure out for someone who grew up with /etc/fstab and running mount.
Comment 1 Hans Ulrich Niedermann 2007-09-17 15:59:55 EDT
It looks like gnome-mount and insecure default gconf settings are the culprits.

I am not sure this is the proper way to fix the problem, but at least this
serves as a workaround:

1. Run gconf-editor.
2. Go to key directory /system/storage/default/options/vfat
3. Edit the key mount_options to contain these elements:
   The former two will alread be there, you will just add the umask part.

That's it - but some actor in the system should be doing the equivalent by default.
Comment 2 Hans Ulrich Niedermann 2007-11-30 13:46:28 EST
From what little I understand about the HAL&Co things, I would guess that in F-9
this would be PolicyKit's job.
Comment 3 Bug Zapper 2008-04-03 23:57:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Hans Ulrich Niedermann 2008-04-11 18:54:03 EDT
Problem still exists in rawhide:

  1. Insert USB stick with FAT filesystem.
  2. Wait a few seconds until locally logged in user A's hal/Gnome/whatever
magic has mounted the new FS.
  3. Have any user B logged in remotely via ssh read the data from A's USB stick.

The default mount perms are rwxr-xr-x but should be rwx------.

If this needs to be fixed in a package other than hal, please change the
package. If it is not hal's fault, I have no idea how to find out which package
may actually be the culprit.
Comment 5 Hans Ulrich Niedermann 2008-04-11 18:59:08 EDT
Sometimes bugzilla ignores the checked checkbox "I am providing the requested
information for this bug."
Comment 6 Bug Zapper 2008-05-13 22:25:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Bug Zapper 2009-06-09 18:19:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-07-14 12:54:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.